Subject: RE: DDD v3.1.4 issue on CygWin32 I need some help with...
From: "Suhaib M. Siddiqi" <[email-masked]>
To: "Mark L. Wencek " <[email-masked]>, <[email-masked]>
Cc: <[email-masked]>, "[email-masked]" <[email-masked]>
Date: Tue, 6 Jul 1999 06:57:42 -0400

I suggest you subscribe to Cygwin mailing list
and ask questions there.

Of course there is a sh.exe, which comes with Cygwin B20.1.
All you need to do make a /bin directory and put a
copy of sh.exe there or create symlink.  It is that simple.
Your most of the X related problems seems to due to the
lack of Cygwin installation understanding.  

Your other mail regarding executing mwm.exe from my
X11 distribution is also related to Cygwin use.

Please subscribe to Cygwin mailing list.  Check
http://sourceware.cygnus.com/ml for details.

Regards
Suhaib

> -----Original Message-----
> From: Mark L. Wencek [mailto:[email-masked]]
> Sent: Tuesday, July 06, 1999 1:15 AM
> To: [email-masked]; [email-masked]
> Cc: [email-masked]
> Subject: DDD v3.1.4 issue on CygWin32 I need some help with...
> 
> 
> To Andreas Zeller:
> 
> I have downloaded DDD v3.1.4 for CygWin32 and am having
> a difficulty that I have not run into on HP, AIX, Interix OpenNT
> before while using this GREAT debugger.
> 
> On CygWin32 for WindowsNT, there is only one Shell, namely
> the Bash-shell, therefore, there is no instance of /bin/sh which
> DDD can use to run the 'exec...' call to the debugger of choice.
> I had never run into this on any of the other platforms, including
> Interix OpenNT, since there is always a resolution to the 
> calll...
> 
> 
> I am receiving the following errors in my DDD logfile:
> 
> ----------------------------Begin DDD log 
> file---------------------------------------------------
> 
> DDD 3.1.4 (i686-pc-cygwin), Copyright (C) 1999 TU Braunschweig.
> Compiled with GCC egcs-2.91.66 19990314 (egcs-1.1.2 release), 
> libstdc++ 2.8.0
> Requires X11R6, Xt11R6, Motif 1.2 (GNU LessTif 0.88 1)
> Includes DDD core, manual, app-defaults, XPM 3.4.11, Athena Panner
> Built 1999-05-10 by Suhaib Siddiqi <[email-masked]>.
> $  ddd -debugger 
> //g/Cygnus/cygwin-b20/H-i586-cygwin32/bin/gdb.exe cxxtest.exe
> +  /bin/sh -c 'exec 
> //g/Cygnus/cygwin-b20/H-i586-cygwin32/bin/gdb.exe -q -fullname 
> '\''cxxtest.exe'\'''
> #  Hello, world!
> #  Starting GDB...
> #  Running GDB (pid 1010, tty /dev/tty0)...
> #  Current language: c/c++
> <- "/bin/sh: No such file or directory\n"
> #  Running GDB (pid 1010, tty /dev/tty0)...Exit 1.
> #  Thanks for using DDD 3.1.4!
> 
> -----------------------End DDD log 
> file-------------------------------------------------------------
> 
> Note the "+ /bin/sh -c...".  /bin/sh does not exist on this 
> machine.  I cannot
> seem to find an answer to this problem in the DDD manuals, or through
> experimentation.
> 
> Could one of you shed some light on this problem?  Is  "/bin/sh" 
> hard-coded
> into the DDD source-code, or am I missing something...
> 
> By the way: The output is virtually the same regardless of whether I use
> a specific debugger path or whether I start DDD and allow it to find
> the debugger of choice.
> 
> Your help is definitely appreciated...
> 
> Mark
> 

--
Want to unsubscribe from this list?
Send a message to [email-masked]